com.smartgwt.client.bean.types

## Class OtherValueType<ValueType>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.OtherValueType<ValueType>

- Direct Known Subclasses:
    EnumValueType, JsoValueType

      public class OtherValueType<ValueType>
      extends BeanValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OtherValueType(java.lang.Class<ValueType> valueType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `protected java.lang.Class` | `getValueType()`
    `protected boolean` | `isAssignableFrom(java.lang.Object value)`
    `static <T> void` | `registerOtherValueType(java.lang.Class<T> klass)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherValueType

          protected OtherValueType(java.lang.Class<ValueType> valueType)

  - ### Method Detail

    - #### registerOtherValueType

          public static <T> void registerOtherValueType(java.lang.Class<T> klass)

    - #### getValueType

          protected java.lang.Class getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<ValueType>`

    - #### isAssignableFrom

          protected boolean isAssignableFrom(java.lang.Object value)

      Specified by:
        `isAssignableFrom` in class `BeanValueType<ValueType>`

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<ValueType>`

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<ValueType>`